Announcement

Collapse
No announcement yet.

NXT Firmware

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • NXT Firmware

    Recently, our team ran out of RobotC licenses, so we purchased another full license from Robot C. The firmware on the purchased license computer does not have the "program chooser" file. When we attempt to use the firmware on the FTC licensed computer, it works. However, when we connect the NXT to the computer with the purchased license it says that it does not have the correct firmware installed. What can we do to solve this problem? We need the program chooser file to define Teleop.

  • #2
    What is the version of software that you are using? It should be RobotC 2.26 .
    Max Bareiss

    FTC #248 Fatal Error (2009-2013)
    FRC #3142 Aperture (2009-2012)
    FRC #1302 Team Lionheart (2012-2013)
    ZRHS #89 Team K├╝hlschrank (2011-2013)
    ZRAC #40 Catcher in the Skye (2012)
    ISR 12: Umptysquatch 6
    Rowan University Baja SAE

    And mentoring for life.
    --
    11 seasons of FIRST in 6 years, as a student. Many more as a mentor.

    Comment


    • #3
      If the problem is with the firmware on the NXT and not the computer, then you need to update it. There should be a "download firmware" or "update firmware" command under the tabs at the top of the page. If you press it, a window will open up for the download progress telling you to connect a NXT using the USB cable. Go through the steps, and this will update the NXT firmware.
      SAY-WATT.ORG

      Comment


      • #4
        RobotC

        I think the version you download is not compatible with the FTC version. As far as I know, we have two versions of RobotC in our school, however, the FTC version(supplied with the software set) does not work with the commercially bought one. this is probably due to the fact that FTC reams are issued a special version to use with their robots.. Think about it, why would a normal user need a program chooser? Thus, I think you should get a new license for the FTC version so that you can continue programming...

        FTC-747
        Static Shiok

        Originally posted by 2010FTC4410 View Post
        Recently, our team ran out of RobotC licenses, so we purchased another full license from Robot C. The firmware on the purchased license computer does not have the "program chooser" file. When we attempt to use the firmware on the FTC licensed computer, it works. However, when we connect the NXT to the computer with the purchased license it says that it does not have the correct firmware installed. What can we do to solve this problem? We need the program chooser file to define Teleop.

        Comment


        • #5
          Beta Version

          However, when we connect the NXT to the computer with the purchased license it says that it does not have the correct firmware installed.
          It will work, but you need to download the beta version of regular RobotC from their site. Here is the link: RobotC 2.26

          Comment

          Working...
          X